Retrieve an existing Pipeline
GET
https://api.neuroscale.io/v2.0/pipelines/{pipeline-id}
Path parameters¶
| Name | Type | Description |
|---|---|---|
pipeline-id |
String | Unique identifier of the Pipeline. |
The Pipeline resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| created_at | Timestamp | Date and time of creation as a Unix timestamp. |
| description | String | Description of the Pipeline. |
| id | String | Unique identifier of the Pipeline. |
| metadata | Object / Hash | Configuration of the Pipeline's input nodes and output nodes. See Understanding Instance Metadata and the NeuroScale Message Format for more information. |
| name | String | Name of the Pipeline. |
| object | String | Resource type (value is "pipeline"). |
| owner | String / Null | Unique identifier of the User (if any) that owns the Pipeline (a value of null indicates a public Pipeline). |
| parameters | Object / Hash | Object of key-value pairs defining user-adjustable Pipeline parameters and their default values. |
| updated_at | Timestamp | Date and time of last modification as a Unix timestamp. |
Authentication¶
Type: Access token
Required scopes: pipeline or read:pipeline